Create Custom Content Type
curl --request POST \
--url https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "Collection",
"name": "<string>",
"api_slug": "<string>",
"api_collections_slug": "<string>",
"response_type": "json",
"field_types": [
{
"name": "<string>",
"type": "<string>",
"meta_data": {
"label": {
"value": "<string>"
},
"tooltip": {
"value": "<string>"
},
"type": {
"value": "<string>"
},
"placeholder": {
"value": "<string>"
},
"default": {
"value": "<unknown>"
}
},
"validations": {
"required": true,
"group_editable": true,
"max_length": 123
},
"group_id": "<string>"
}
],
"groups": [
{}
],
"components": [
"<string>"
],
"settings": {
"entry_title": "<string>",
"searchable_fields": [
"<string>"
],
"filter_fields": [
"<string>"
],
"allowed_states": [],
"access_control": {},
"enable_component_preview": true,
"enable_content_rule": true,
"enable_custom_date": true,
"enable_seo_properties": true,
"enable_code_ingestion": true
},
"global_system_default": false
}
'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/"
payload = {
"type": "Collection",
"name": "<string>",
"api_slug": "<string>",
"api_collections_slug": "<string>",
"response_type": "json",
"field_types": [
{
"name": "<string>",
"type": "<string>",
"meta_data": {
"label": { "value": "<string>" },
"tooltip": { "value": "<string>" },
"type": { "value": "<string>" },
"placeholder": { "value": "<string>" },
"default": { "value": "<unknown>" }
},
"validations": {
"required": True,
"group_editable": True,
"max_length": 123
},
"group_id": "<string>"
}
],
"groups": [{}],
"components": ["<string>"],
"settings": {
"entry_title": "<string>",
"searchable_fields": ["<string>"],
"filter_fields": ["<string>"],
"allowed_states": [],
"access_control": {},
"enable_component_preview": True,
"enable_content_rule": True,
"enable_custom_date": True,
"enable_seo_properties": True,
"enable_code_ingestion": True
},
"global_system_default": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Collection',
name: '<string>',
api_slug: '<string>',
api_collections_slug: '<string>',
response_type: 'json',
field_types: [
{
name: '<string>',
type: '<string>',
meta_data: {
label: {value: '<string>'},
tooltip: {value: '<string>'},
type: {value: '<string>'},
placeholder: {value: '<string>'},
default: {value: '<unknown>'}
},
validations: {required: true, group_editable: true, max_length: 123},
group_id: '<string>'
}
],
groups: [{}],
components: ['<string>'],
settings: {
entry_title: '<string>',
searchable_fields: ['<string>'],
filter_fields: ['<string>'],
allowed_states: [],
access_control: {},
enable_component_preview: true,
enable_content_rule: true,
enable_custom_date: true,
enable_seo_properties: true,
enable_code_ingestion: true
},
global_system_default: false
})
};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Invalid Auth Credentials"
}Create Custom Content Type
POST
/
publisher
/
{publisher_id}
/
entities
/
content-type
/
Create Custom Content Type
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Body
application/json
Available options:
Collection Immutable after creation.
Immutable after creation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Last modified on August 10, 2026
Was this page helpful?
⌘I